<ion-header>
  <ion-navbar>
  <ion-title *ngIf="detailData" style="white-space: normal;overflow: hidden;text-overflow: ellipsis;">{{detailData.data.category}}&nbsp;-&nbsp;{{detailData.data.title}}</ion-title>
  </ion-navbar>
</ion-header>

<ion-content class="content-detail" padding>
  <div *ngIf="detailData">
    <h1>
      {{detailData.data.title}}
    </h1>

    <p style="font-size: 11px;color: #5C5C5C;margin: 0;">
      {{detailData.data.date_created | date : "MMMM d, yyyy HH:mm a "}}<br>
    </p>

    <button *ngIf="shareUrlStatus" clear ion-button icon-left style="border-width:0; padding-left:0" (click)="share(detailData.data.title, detailData.data.url_share)">
      <ion-icon name="md-share"></ion-icon>
      Bagikan
    </button>

    <ion-slides *ngIf="photoStatus && !lengthArrImg" pager loop="true" autoplay="3000" style="height: 30%; margin-top:5px" #slides>
      <ion-slide *ngFor="let data of dataImageContent">
        <img onError="this.src='assets/img/placeholder-image.png'" [src]="data.thumbnail" imageViewer>
      </ion-slide>
    </ion-slides>

    <ion-slides *ngIf="photoStatus && lengthArrImg" style="height: 30%" #slides>
      <ion-slide *ngFor="let data of dataImageContent">
        <img onError="this.src='assets/img/placeholder-image.png'" [src]="data.thumbnail" imageViewer>
      </ion-slide>
    </ion-slides>

    <div class="zoom" [ngStyle]="{'font-size': fontSize}" [innerHTML]="toHTML(detailData.data.content)"></div>

    <div *ngIf="dataRelatedContent">
      <hr style="height: 5px;">
      <p style="margin-top:0;margin-bottom:0">Artikel Terkait</p>
      <hr>
    </div>
    <a style="color: #41a9e1" *ngFor="let data of dataRelatedContent" (click)="goToRelated(data.id)">
      {{data.title}}<br><br>
    </a>

    <div *ngIf="dataComment">
      <hr style="height: 5px;" >
      <p style="margin-top:0;margin-bottom:0">Komentar</p>
      <hr>
    </div>
    <ion-list>
      <ion-item style="padding-left:0; border-bottom:1px solid #ddd!important;margin-bottom:5px!important" *ngFor="let data of dataComment">
        <ion-avatar item-start (click)="signIn()">
          <img src={{data.photo}} onError="this.src='assets/img/speakers/turtle.jpg'" imageViewer>
        </ion-avatar>
        <ion-label style="margin:0">
          <p style="white-space: nowrap;overflow: hidden;text-overflow: ellipsis;"><b>{{data.alias}}</b></p>
          <p style="white-space: normal">{{data.content}}</p>
          <p style="font-size: 10px; color: #84AFD9;">
            {{data.date_created}}
          </p>
        </ion-label>
      </ion-item>
      <ion-infinite-scroll (ionInfinite)="doInfinite($event)">
        <ion-infinite-scroll-content></ion-infinite-scroll-content>
      </ion-infinite-scroll>
    </ion-list>
  </div>
</ion-content>

// create comment section
<ion-footer *ngIf="!commentStatus && shareUrlStatus" padding style="background-color: #cacaca;padding: 10px">
  <form>
    <ion-grid style="padding: 0">
      <ion-row>
        <ion-col col-12 style="padding: 0">
          <ion-input  class="comment" (click)="openComment()" style="background-color:white" type="text" placeholder="Beri komentar ..."></ion-input>
        </ion-col>
        
      </ion-row>
    </ion-grid>
  </form>
</ion-footer>

<ion-footer *ngIf="!commentStatus && !shareUrlStatus" padding style="background-color: #cacaca;padding: 10px">
  <form>
    <ion-grid style="padding: 0">
      <ion-row>
        <ion-col col-12 style="padding: 0">
          <ion-input class="comment" (click)="openComment()" style="background-color:white" type="text" placeholder="Beri komentar ..."></ion-input>
        </ion-col>
      </ion-row>
      <ion-col col-1 style="padding: 0;">
        <ion-row>
          <ion-col>
            <a>
              <ion-icon style="zoom: 2.0;color: transparent;" name="share"></ion-icon>
            </a>
          </ion-col>
        </ion-row>
      </ion-col>
    </ion-grid>
  </form>
</ion-footer>

<ion-footer *ngIf="commentStatus" class="not-login-footer" padding style="background-color: #cacaca;">
	<form>
    <ion-grid style="padding: 0">
      <ion-row>
        <ion-col col-11></ion-col>
        <ion-col col-1>
          <a (click)="closeComment()">
            <ion-icon style="color: white; font-size:20px" ios="ios-close-circle" md="ios-close-circle"></ion-icon>
          </a>
        </ion-col>
      </ion-row>
            <ion-row>
        <ion-col *ngIf="commentDisable" col-10 style="padding: 0">
          <ion-input class="comment" [disabled]="commentDisable" [(ngModel)]="name" [ngModelOptions]="{standalone: true}" style="background-color:white" type="text" placeholder="Nama "></ion-input>
        </ion-col>
		<ion-col *ngIf="!commentDisable" col-10 style="padding: 0">
          <ion-input class="comment" [disabled]="commentDisable" [(ngModel)]="name" [ngModelOptions]="{standalone: true}" style="background-color:white" type="text" placeholder="Nama " autofocus></ion-input>
        </ion-col>
      </ion-row>
      <ion-row style="margin-top:45px">
        <ion-col col-10 *ngIf="commentDisable" style="padding: 0">
          <ion-textarea class="comment" [(ngModel)]="comment"  [ngModelOptions]="{standalone: true}" rows="2" style="background-color:white" type="text" placeholder="Beri komentar ..." autofocus></ion-textarea>
        </ion-col>
		<ion-col col-10 *ngIf="!commentDisable" style="padding: 0">
          <ion-textarea class="comment" [(ngModel)]="comment"  [ngModelOptions]="{standalone: true}" rows="2" style="background-color:white" type="text" placeholder="Beri komentar ..."></ion-textarea>
        </ion-col>
        <ion-col col-2  align="center">
          <a align="center" (click)="sendComment()">
            <ion-icon style="color: white; font-size:40px" ios="ios-send" md="ios-send"></ion-icon>
          </a>
        </ion-col>
      </ion-row>
    </ion-grid>
	</form>
</ion-footer>
// create comment section
